# $Id: lab2.pro,v 1.3 2004/12/06 05:20:20 durant Exp durant $
# qmake file for CS421 lab 2

TEMPLATE = app
CONFIG *= qt warn_on release thread
# Change between debug and release to as needed for symbolic debugging

# Define pathing variables for flexibility
unix:BASE = ./
unix:MOC_DIR = $$(BASE)tmp/
unix:OBJECTS_DIR = $$(BASE)tmp/

# Electric Fence...
# unix:QMAKE_LIBS *= -lefence

# GLU for gluPerspective, gluLookAt, etc.
unix:LIBS *= -lGLU

unix:SUBDIRS *= $$(BASE)src/
unix:VPATH *= $$(BASE)src/
# unix:INCLUDEPATH *= $$(BASE)include/
# unix:DEPENDPATH *= $$(BASE)include/

# Warn on common virtual function errors
QMAKE_CXXFLAGS_WARN_ON *= -Woverloaded-virtual
# Make warnings fatal (to encourage addressing warnings; disable if necessary)
QMAKE_CXXFLAGS_WARN_ON *= -Werror

# Generate gprof data (both compile and link arguments are needed)
# QMAKE_CXXFLAGS *= -pg
# QMAKE_LFLAGS *= -pg

# Specify the executable name
TARGET = lab2

# Describe source code files
SOURCES *= myGlWidget.cpp
SOURCES *= shell.cpp
SOURCES *= main.cpp
# Another standard is to name the main() holder according to the TARGET

# Describe header files
HEADERS *= myGlWidget.h
HEADERS *= shell.h
